openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/BCOM_RS_SCENARIO_SET_T:
    post:
      tags:
      - BCOM_RS_RFC
      operationId: /rfc/BCOM_RS_SCENARIO_SET_T
      requestBody:
        content:
          application/json:
            schema:
              properties:
                DESCRIPTION:
                  type: string
                  maxLength: 50
                  description: 'SAPphone: Description'
                SCENARIO_ID:
                  type: string
                  maxLength: 32
                  description: Routing Scenario ID
                TIMESTAMP:
                  type: object
                  properties:
                    KEY:
                      type: string
                      maxLength: 65
                      description: 'Routing: Key for Time Stamp'
                    TIMESTAMP:
                      type: integer
                      format: int64
                      description: UTC Time Stamp in Short Form (YYYYMMDDhhmmss)
                VALID_FROM:
                  type: string
                  format: date
                  description: Start of Validity Period of a Scenario
                VALID_UNTIL:
                  type: string
                  format: date
                  description: End of Validity Period of a Scenario
                ATTRIBUTE_LIST:
                  type: array
                  items:
                    type: object
                    properties:
                      PRIO:
                        type: integer
                        format: int64
                        description: 'Routing: Priority of a Routing Attribute'
                      ATTID:
                        type: string
                        maxLength: 32
                        description: 'Routing: Attribute ID'
                      DESCRIPT:
                        type: string
                        maxLength: 50
                        description: 'SAPphone: Description'
                DESTINATION_LIST:
                  type: array
                  items:
                    type: object
                    properties:
                      TYPE:
                        type: string
                        maxLength: 3
                        description: 'SAPconnect: Address type'
                      ADDRESS:
                        type: string
                        maxLength: 241
                        description: E-Mail Address
                      DESCRIPT:
                        type: string
                        maxLength: 50
                        description: 'SAPphone: Description'
                RESPONSIBILITY_LIST:
                  type: array
                  items:
                    type: object
                    properties:
                      AGENTGRP:
                        type: string
                        maxLength: 32
                        description: Group Name
                      ATTID:
                        type: string
                        maxLength: 32
                        description: 'Routing: Attribute ID'
                      VALUE_LOW:
                        type: string
                        maxLength: 32
                        description: Routing Attribute Value
                      VALUE_HIGH:
                        type: string
                        maxLength: 32
                        description: Routing Attribute Value
                      QUALITY:
                        type: integer
                        format: int64
                        description: Quality of an Attribute
              required:
              - DESCRIPTION
              - SCENARIO_ID
              - TIMESTAMP
              - VALID_FROM
              - VALID_UNTIL
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ERR_TEXT:
                    type: string
                    maxLength: 80
                    description: Unformatted text (information only)
                  RETURNCODE:
                    type: string
                    maxLength: 4
                    description: 'SAPphone: Return code'
                  SYSTEM_RC_X:
                    type: string
                    maxLength: 10
                    description: Return code from external software
                  ATTRIBUTE_LIST:
                    type: array
                    items:
                      type: object
                      properties:
                        PRIO:
                          type: integer
                          format: int64
                          description: 'Routing: Priority of a Routing Attribute'
                        ATTID:
                          type: string
                          maxLength: 32
                          description: 'Routing: Attribute ID'
                        DESCRIPT:
                          type: string
                          maxLength: 50
                          description: 'SAPphone: Description'
                  DESTINATION_LIST:
                    type: array
                    items:
                      type: object
                      properties:
                        TYPE:
                          type: string
                          maxLength: 3
                          description: 'SAPconnect: Address type'
                        ADDRESS:
                          type: string
                          maxLength: 241
                          description: E-Mail Address
                        DESCRIPT:
                          type: string
                          maxLength: 50
                          description: 'SAPphone: Description'
                  RESPONSIBILITY_LIST:
                    type: array
                    items:
                      type: object
                      properties:
                        AGENTGRP:
                          type: string
                          maxLength: 32
                          description: Group Name
                        ATTID:
                          type: string
                          maxLength: 32
                          description: 'Routing: Attribute ID'
                        VALUE_LOW:
                          type: string
                          maxLength: 32
                          description: Routing Attribute Value
                        VALUE_HIGH:
                          type: string
                          maxLength: 32
                          description: Routing Attribute Value
                        QUALITY:
                          type: integer
                          format: int64
                          description: Quality of an Attribute
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
